<?php


namespace App\ViewModels\Formulario\FormularioDetailsViewModel;



use App\Utils\Builder;

class OpcaoDetailsBuilder implements Builder
{
    protected $id;
    protected $descricao;

    public function setId(int $id): OpcaoDetailsBuilder
    {
        $this->id = $id;
        return $this;
    }

    public function setDescricao(string $descricao): OpcaoDetailsBuilder
    {
        $this->descricao = $descricao;
        return $this;
    }

    public function build(): OpcaoDetails
    {
        $opcao_details = new OpcaoDetails;
        $opcao_details->setid($this->id);
        $opcao_details->setdescricao($this->descricao);
        return $opcao_details;
    }
}